Summary		: DisplayLink Open Source Software (libdlo)
Name		: ymh-libdlo
%define pname	ymh-libdlo
Version		: 0.1.2
Release		: %{_mvl_build_id}.1
URL		: http://libdlo.freedesktop.org
Source		: libdlo-%{version}.tar.gz
License		: LGPL2
Group		: utils
Requires	: %{pname}-libs
Buildroot	: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
Prefix		: %{_mvl_cross_target_dir}

%description
DisplayLink Open Source Software (libdlo)

%package -n %{pname}-libs
Summary: libdlo runtime libraries.
Group: libs

%description -n %{pname}-libs
libdlo runtime libraries

%package -n %{pname}-dev
Summary: libdlo headers and static libraries
Group: devel
Requires: %{pname}-libs

%description -n %{pname}-dev
libdlo headers and static libraries

%prep

%target_check

%setup  -n libdlo-%{version}

%build
%target_setup
%target_configure

%make

%install
rm -rf %{buildroot}
%target_setup

%target_makeinstall

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pname}
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}/test1

%files -n %{pname}-libs
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdlo.so.0.1.0
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdlo.so.0

%files -n %{pname}-dev
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdlo.a
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdlo.la
%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/libdlo.so
%{_mvl_cross_target_dir}%{_mvl_target_include_dir}/libdlo.h

%changelog
* Wed Sep 5 2012 Yamaha Corporation
- Initial release.
