Summary		: Library to provide userspace access to USB devices 
Name		: libusb 
%define pname	libusb
Version		: 0.1.12
Release		: 1.0.0.%{_hhl_build_id}.1
URL		: http://sourceforge.net/projects/libusb
Source		: %{pname}_%{version}.orig.tar.gz
Source2		: html.tar.gz
Patch0 		: %{pname}_%{version}-16.diff.gz
Patch1 		: %{pname}_0.1.8-xtensa.diff
License		: Other 
Group		: utils
Requires	: %{pname}-libs
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define 	_docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-%{pname}
Obsoletes : hhl-%{_hhl_target_arch}-%{pname} 

%description
libusb is a library which allows
userspace application access to USB devices.



%package -n %{pname}-libs
Summary: libusb runtime libraries.
Group: libs

%description -n %{pname}-libs
libusb runtime libraries


%package -n %{pname}-dev
Summary: libusb headers and static libraries
Group: devel
Requires: %{pname}-libs

%description -n %{pname}-dev
libusb headers and static libraries



%prep

%target_check

%setup  -n %{pname}-%{version}
%patch  -p1 
%patch1  -p1 


%build
%target_setup
%if "%{_mvl_uclibc}" == "yes"
export CXXFLAGS="$CXXFLAGS -fno-use-cxa-atexit"
%endif
%target_configure

cd doc
tar -xzf %{SOURCE2}
cd ..

%make

%install
rm -rf %{buildroot}
%target_setup
cp debian/copyright LICENSE

%target_makeinstall pkgconfigdir=%{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_lib_dir}/pkgconfig

%demangle_libtool

%clean
rm -rf %{buildroot}


%files -n %{pname}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pkgconfig/*
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/libusb-config
%doc LICENSE


%files -n %{pname}-libs
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libusb-0.1.so.4
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libusb-0.1.so.4.4.4
%doc LICENSE


%files -n %{pname}-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libusb.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libusb.la
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libusb.so
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/usb.h
%doc LICENSE


%changelog
* Wed Aug 5 2012 Yamaha Corporation
- New upstream release.
* Fri Feb 18 2005 Ryan Burns <source@mvista.com>
- ADK package changes

